local Obj = {}

-- On charge toutes les différentes types d'acteurs
local cwd  = (...):gsub('%.init$', '') .. "."
Obj.Player = require(cwd .. "player")

Obj.index     = {}
Obj.index["player"]   = Obj.Player

Obj.collisions = {}
Obj.collisions["wall"]      = require(cwd .. "wall")
Obj.collisions["invisible"] = require(cwd .. "invisible")
Obj.collisions["floor"]     = require(cwd .. "floor")
Obj.collisions["textured"]  = require(cwd .. "textured")

return Obj
